function [config] = read_config(ini_file)
Result = ini2struct(ini_file);
config.FASTA_FILE_NM = Result.InputOutputFiles.FASTA_FILE_NM;
config.OUT_DIR = Result.InputOutputFiles.OUT_DIR;
config.IS_TRANSLATE = logical(Result.AlgorithmParameters.IS_TRANSLATE);
config.MIN_CORR = str2double(Result.AlgorithmParameters.MIN_CORR);
config.SEQ_LENGTH = str2num(Result.AlgorithmParameters.SEQ_LENGTH);
config.ORG_DESCRIPTION = Result.AlgorithmParameters.ORG_DESCRIPTION;
end